Bug 1657123 - Cannot undo a group install or remove
Summary: Cannot undo a group install or remove
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 34
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Daniel Mach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1654129
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 07:20 UTC by Matt D.
Modified: 2021-02-09 16:22 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Matt D. 2018-12-07 07:20:26 UTC
I accidentally allowed a "dnf group remove mate-desktop", unaware that it would also remove a number of dependencies.

I tried to roll back the transaction with a "dnf history undo last" but it fails on an error where it thinks that the group name is a package:

# dnf history undo last
Last metadata expiration check: 2:00:42 ago on Fri 07 Dec 2018 12:17:28 AM EST.
Undoing transaction 11, from Fri 07 Dec 2018 02:12:45 AM EST
...
No package @mate-desktop available.
Error: no package matched

It is assumed that it is otherwise impossible to do dnf history transactions on groups.

Comment 1 lyfbuaa 2019-05-03 14:43:38 UTC
fedora 30 still

Comment 2 Ben Cotton 2019-08-13 16:48:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 tom.blac 2020-09-30 01:07:23 UTC
Same bug in fedora 32:

[root@localhost ~]# dnf install @kde-desktop-environment


[root@localhost ~]# dnf history list
ID     | Command line                                                        | Date and time    | Action(s)      | Altered
--------------------------------------------------------------------------------------------------------------------------
    15 | install @kde-desktop-environment                                    | 2020-09-29 19:35 | Install        |  420 EE
    14 | update                                                              | 2020-09-29 00:21 | I, U           |   48 


[root@localhost ~]# dnf history undo 15

(only copied last part of undo command output)

    Install @printing                                                     
    Install @standard                                                     
    Install @kde-desktop-environment                                      
No package @admin-tools installed.
No package @base-x installed.
No package @core installed.
No package @dial-up installed.
No package @fonts installed.
No package @guest-desktop-agents installed.
No package @hardware-support installed.
No package @input-methods installed.
No package @kde-desktop installed.
No package @kde-desktop-environment installed.
No package @multimedia installed.
No package @networkmanager-submodules installed.
No package @printing installed.
No package @standard installed.
Error: no package matched

Comment 4 Ben Cotton 2020-11-03 17:20:59 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2021-02-09 16:22:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.